#include <iostream>

using namespace std;

int main()
{
    int N,A,NN,NNppola,NNnpola;
    cin >>N;
    cin >>A;
    if(N<3*A)
    {
        return -1;
    }
    printf("%d:0\n",A);
    NN=N-2*A;
    if(NN%2==0)
    {
        printf("%d:0\n",A);
        NNppola=NN/2;
        printf("%d:%d",NNppola+1,NNppola-1);
    }
    else
    {
        printf("%d:0\n",A);
        NNnpola=(NN-1)/2;
        printf("%d:%d",NNnpola+2,NNnpola-1);
    }
    return 0;
}